Gimp 2.7.1

Discussion in 'GIMP News' started by Rod, Jul 3, 2010.

  1. Rod

    Rod Moderator Staff Member

    Joined:
    Apr 19, 2010
    Messages:
    1,740
    Likes Received:
    0
    Trophy Points:
    36
    I have my version running pretty nicely now, all my third party plugins working including adobe plugins.
     
  2. ColorVoyeur

    ColorVoyeur New Member

    Joined:
    Jun 26, 2010
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    I've had 2.7.1 running quite smoothly for a couple weeks now. I've yet to have a plugin problem, but it did take a minute to enable python (ok, 10 seconds, but I had to figure out how to do it first.)

    Overall, I'd say this is one of the most stable alphas I've taken a stab at. Really loving layer groups and single window mode.
    My favorite part, and the reason I've ditched 2.6.9 for it, was brush dynamics. I really like the implementation of it and being able to create new dynamics.
     
  3. Rod

    Rod Moderator Staff Member

    Joined:
    Apr 19, 2010
    Messages:
    1,740
    Likes Received:
    0
    Trophy Points:
    36
    did you notice the text to brush feature?...im pretty sure thats new in 2.7.1 also. =)
     
  4. Maffe811

    Maffe811 The forum pet Staff Member

    Joined:
    Jul 2, 2009
    Messages:
    6,811
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    Norway/Norge/Norwegen
    Rod, are you our not-official-kinda-official-but-still-not-official-updating-us-on-gimp-guy?
     
  5. Rod

    Rod Moderator Staff Member

    Joined:
    Apr 19, 2010
    Messages:
    1,740
    Likes Received:
    0
    Trophy Points:
    36
    I am just trying to be helpful in informing other members of GIMPs new versions when they become available.
     
  6. gms9810

    gms9810 New Member

    Joined:
    Jul 4, 2010
    Messages:
    27
    Likes Received:
    0
    Trophy Points:
    1
    Occupation:
    Retired
    Location:
    Missouri
    It works for me but i was really looking forward to the single window mode. I watched the review of it on meethegimp and the buttons that toggle it aren't there on mine.

    PS: Rod keep doing it, it's helpful.
     
  7. gms9810

    gms9810 New Member

    Joined:
    Jul 4, 2010
    Messages:
    27
    Likes Received:
    0
    Trophy Points:
    1
    Occupation:
    Retired
    Location:
    Missouri
    Never mind, I found it, As with most things there are different ways to do it.
     
  8. ColorVoyeur

    ColorVoyeur New Member

    Joined:
    Jun 26, 2010
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Anyone using this from the PPA in linux? (https://launchpad.net/~matthaeus123)
    I'm running 2.7.2 from there, and I'm having some minor problems with plugins.

    When using GMIC and selecting a filter:

    WARNING: Plug-In "gmic_gimp"
    (~/.gimp-2.7/plug-ins/gmic_gimp)
    called deprecated procedure 'gimp-drawable-is-valid'.
    It should call 'gimp-item-is-valid' instead!

    Everything is still working, just a warning in my error-console dock

    A few other filters/scripts/plug-ins are reporting the same error, with one exception:

    Gimpressionist just crashes. No reason, just a solid crash.
     
  9. Rod

    Rod Moderator Staff Member

    Joined:
    Apr 19, 2010
    Messages:
    1,740
    Likes Received:
    0
    Trophy Points:
    36
    Yeah i decided to stick with 2.7.1 the way i set it up.
    Now i'll just download stable versions.

    I did dl 2.4.7 so i could check out the photo shop actions filter.
    I seem to only be able to run 5-7 tops through my user/Gimp 2.4.7/scripts folder though.
    I can't even get Photo shop actions to work with 2.6.10 (no matter how many ATN files are in that folder)
    Got it to install there though.Just rename your console and exe to 2.4 and install Gimp-Sharp than rename the files back to 2.6 =)
    Tried linking a path to 2.4.7 scripts and 2.6.10 scripts folders... nada =\
    All the other plugins in Gimp-Sharp work well though in any Gimp versions.
    Just having issues with the actions filter for some reason.
    Either it won't run more than 5 PS ATN files (2.4.7) or its just not compatible.(2.6.10)
    I might try to install it in 2.7.1 later and see what happens.
     
  10. Maffe811

    Maffe811 The forum pet Staff Member

    Joined:
    Jul 2, 2009
    Messages:
    6,811
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    Norway/Norge/Norwegen
  11. gms9810

    gms9810 New Member

    Joined:
    Jul 4, 2010
    Messages:
    27
    Likes Received:
    0
    Trophy Points:
    1
    Occupation:
    Retired
    Location:
    Missouri
    I'm sticking with 2.6.10 for now, I didn't like the way 2.7 looked and there was a problem with single window mode.
     
  12. Rod

    Rod Moderator Staff Member

    Joined:
    Apr 19, 2010
    Messages:
    1,740
    Likes Received:
    0
    Trophy Points:
    36
    The only thing i dont like is that the window placement isnt remembered by Gimp on restart.
    However when you close Gimp, if you de-select the open in single window mode option under the windows tab, then the program will save the image window placement upon close and reopening of the program, then you just have to put the tick back in to place the tools dialog back in place.This will probably be fixed in the 2.8 stable version.
     
  13. Maffe811

    Maffe811 The forum pet Staff Member

    Joined:
    Jul 2, 2009
    Messages:
    6,811
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    Norway/Norge/Norwegen
    im not sure if i downloaded the right 2.7.1 but ill telll you if it works
     
  14. Maffe811

    Maffe811 The forum pet Staff Member

    Joined:
    Jul 2, 2009
    Messages:
    6,811
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    Norway/Norge/Norwegen
    i really hate uppdateing... all my self-made shortcuts becomes inactive _._
     
  15. Maffe811

    Maffe811 The forum pet Staff Member

    Joined:
    Jul 2, 2009
    Messages:
    6,811
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    Norway/Norge/Norwegen
    okay, now everything is dead..... :|

    seriusly... the debug window says most of my brushes are broken...
    the theme stuff isnt working.... i kinda like the single window.... :|

    i hate to export instead of saving... and i get all thesee warnings... :| :| :|
     
  16. Rod

    Rod Moderator Staff Member

    Joined:
    Apr 19, 2010
    Messages:
    1,740
    Likes Received:
    0
    Trophy Points:
    36
    First of all you should have only installed 2.7.1 after you rename your 2.6 version to anything other than 2.0 in your program files list. because the new installer for 2.7 uninstalls ALL versions of 2.0 no matter where you install 2.7
    Keep that in mind for later.

    If 2.6.10 was uninstalled ...reinstall it, and before you dl 2.7 again...rename the 2.0 folder to something else, rename it back again after you install 2.7.

    Also keep in mind when you install 2.7 and if you have 2.6 installed already, Gimp will COPY your user docs 2.6 folder for 2.7, and rename that copy "gimp 2.7" ....that means everything in 2.6 user docs folder will be used for 2.7 and renamed user/2.7....so every script,brush,and whatever else in there needs to be deleted in the new 2.7 folders because most of it isn't compatible with 2.7...understand?

    This is why you should create a 2.7 folder before you install it...especially if you have 2.6 installed already.
    Then Gimp will see the 2.7 folder you created, and create sub folders that are empty inside it.

    That should work.You will then have 2.6.10 and 2.7 installed.2.7 is a test version, so a dos window will pop up every time you use it, you can not close this window, just minimize it.it is for de bugging.It must stay open for 2.7 to run.

    Let me know if that copy i uploaded works for you.
     

Share This Page